package com.ruoyi.cms.service;

import java.util.List;

import com.ruoyi.common.core.domain.entity.Company;
import com.ruoyi.cms.domain.CompanyCollection;
import com.ruoyi.cms.domain.Job;

/**
 * 用户公司收藏Service接口
 * 
 * @author lishundong
 * @date 2024-09-04
 */
public interface ICompanyCollectionService 
{
    /**
     * 查询用户公司收藏
     * 
     * @param id 用户公司收藏主键
     * @return 用户公司收藏
     */
    public CompanyCollection selectCompanyCollectionById(Long id);

    /**
     * 查询用户公司收藏列表
     * 
     * @param companyCollection 用户公司收藏
     * @return 用户公司收藏集合
     */
    public List<CompanyCollection> selectCompanyCollectionList(CompanyCollection companyCollection);

    /**
     * 新增用户公司收藏
     * 
     * @param companyCollection 用户公司收藏
     * @return 结果
     */
    public int insertCompanyCollection(CompanyCollection companyCollection);

    /**
     * 修改用户公司收藏
     * 
     * @param companyCollection 用户公司收藏
     * @return 结果
     */
    public int updateCompanyCollection(CompanyCollection companyCollection);

    /**
     * 批量删除用户公司收藏
     * 
     * @param ids 需要删除的用户公司收藏主键集合
     * @return 结果
     */
    public int deleteCompanyCollectionByIds(Long[] ids);
    /**
     * 用户收藏公司
     */
    int companyCollection(Long companyId);
    /**
     * 用户取消收藏公司
     */
    int companyCancel(Long companyId);

    List<Company> collectionCompany();

    List<Job> jobCompany(Long companyId);

}
